# Unpackaged files in buildroot should terminate build
%define _unpackaged_files_terminate_build 1

Name: wmnetload
Version: 1.3
Release: alt4

Summary: dockapp which monitor network interfaces
Summary(ru_RU.CP1251): ,     

License: GPL
Group: Graphical desktop/Window Maker
Url: http://freshmeat.net/projects/wmnetload/
Packager: Slava Semushin <php-coder@altlinux.ru>

Source0: ftp://truffula.com/pub/%name-%version.tar.bz2
Source1: %name.menu

Patch: %name-1.3-alt-warnings-fix.patch

BuildRequires: libdockapp-devel libICE-devel libXext-devel

%description
wmnetload is a network interface monitor dockapp for Window Maker. It
is designed to fit well with dockapps like wmcpuload and wmmemmon. It
tracks whether the interface is functioning and displays current
network interface throughput, along with an auto-scaling graph of
recent network activity (the graph separates upstream and downstream
traffic load cleanly without resorting to colors).

%description -l ru_RU.CP1251
wmnetload    Window Maker,    
.       wmcpuload  wmmemmon. 
   ,   , 
 ,      
 (       ,
    ).

%prep
%setup -q

# fixed RPATH
sed -i 's|LIBRARY_SEARCH_PATH="$lib_search_path -L/usr/local/lib"|LIBRARY_SEARCH_PATH="$lib_search_path"|' configure.in

# fixed configure.in
sed -i 's/\(WN_HAVE_IPV6\|WN_CHECK_LIB\|WN_CHECK_HEADER\|WN_HAVE_SOCKADDR_SA_LEN\|WN_TYPE_ULONGLONG_T\),/[\1],/' configure.in

# fixed Makefile.am
sed -i 's|CPPFLAGS =|AM_CPPFLAGS =|' src/Makefile.am
sed -i 's|LDFLAGS|AM_LDFLAGS|' src/Makefile.am

patch -p1 -i %PATCH0

%__autoreconf

%build
%configure --with-x
%make_build CFLAGS="%optflags -Werror" --silent --no-print-directory

%install
%make_install --silent --no-print-directory DESTDIR=%buildroot install
install -pD -m 644 %SOURCE1 %buildroot%_menudir/%name

%post
%update_menus

%postun
%clean_menus

%files
%doc AUTHORS ChangeLog NEWS README
%_bindir/%name
%_menudir/%name

%changelog
* Fri Oct 06 2006 Slava Semushin <php-coder@altlinux.ru> 1.3-alt4
- Updated BuildRequires for Xorg7
- Changed my name in Packager tag
- Added url to Source tag
- Enable _unpackaged_files_terminate_build
- Give CFLAGS variable to make instead of using %%add_optflags
- Dont use macros for patch, install and sed commands
- More strict names in %%files section
- Use macros %%__autoreconf
- Formatted %%description
- Removed Summary and %%description in koi8-r and utf8 charsets
- Fixed orthographical errors in %%changelog (thnx to mike@)

* Fri Dec 09 2005 php-coder <php-coder@altlinux.ru> 1.3-alt3
- Running make with --no-print-directory and --silent options to make
  terminal output clean
- Added patch which fixes warnings from compiler (thnx Yuriy Kashirin
  <kashirin@emict.com> for help)
- Using -Werror flag for compiler by default

* Thu Nov 17 2005 php-coder <php-coder@altlinux.ru> 1.3-alt2
- Removed all pragma directives (grep + xargs + sed)

* Fri Oct 21 2005 php-coder <php-coder@altlinux.ru> 1.3-alt1
- Initial build for ALT Linux

